# -*- coding: utf-8 -*-
"""
@author: zsc
@time: 2024/11/18
@desc:  数据采集
"""


import random


# 数据收集模块
class DataCollector:
    def __init__(self):
        self.data = []

    def collect(self):
        # 模拟从数据库或API收集数据，包含至少20条记录和多种行为
        actions = [
            '浏览-产品介绍页', '点击-立即申请', '浏览-公积金授权页', '浏览-额度申请结果',
            '点击-立即提额', '浏览-提额方式选择页', '点击-线上公积金认证', '浏览-提额申请结果',
            '点击-立即支用', '填写-借款申请页', '浏览-确认借款页', '浏览-支用结果页', '结果-支用成功'
        ]
        products = ['渝快贷', '渝悦贷', '房快贷']
        channels = ['手机银行', '微银行']
        users = ['User{}'.format(i) for i in range(1, 21)]
        self.data = [
            {
                'user': random.choice(users),
                'action': random.choice(actions),
                'product': random.choice(products),
                'channel': random.choice(channels)
            }
            for _ in range(100)
        ]
        return self.data

# 其他模块代码保持不变...
